Deletes a video stream.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/live/reference/rest/v3/liveStreams/delete_8ecb602893d20c03ba0fa81aa25b4650b834d5b694b8056c098d79b29c0a5c35.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
DELETE https://www.googleapis.com/youtube/v3/liveStreams
```

### Authorization

This request requires authorization with at least one of the following scopes. To read more
about authentication and authorization, see [Implementing OAuth 2.0 authentication](https://developers.google.com/youtube/data/live/authentication.md.txt).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `id` | `string` The `id` parameter specifies the YouTube live stream ID for the resource that is being deleted. |
| **Optional parameters** |||
| `onBehalfOfContentOwner` | `string` This parameter can only be used in a properly [authorized request](https://developers.google.com/youtube/data/live/authentication.md.txt). **Note:** This parameter is intended exclusively for YouTube content partners. The `onBehalfOfContentOwner` parameter indicates that the request's authorization credentials identify a YouTube CMS user who is acting on behalf of the content owner specified in the parameter value. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and get access to all their video and channel data, without having to provide authentication credentials for each individual channel. The CMS account that the user authenticates with must be linked to the specified YouTube content owner. |
| `onBehalfOfContentOwnerChannel` | `string` This parameter can only be used in a properly [authorized request](https://developers.google.com/youtube/data/live/authentication.md.txt). **Note:** This parameter is intended exclusively for YouTube content partners. The `onBehalfOfContentOwnerChannel` parameter specifies the YouTube channel ID of the channel to which a video is being added. This parameter is required when a request specifies a value for the `onBehalfOfContentOwner` parameter, and it can only be used in conjunction with that parameter. In addition, the request must be authorized using a CMS account that is linked to the content owner that the `onBehalfOfContentOwner` parameter specifies. Finally, the channel that the `onBehalfOfContentOwnerChannel` parameter value specifies must be linked to the content owner that the `onBehalfOfContentOwner` parameter specifies. This parameter is intended for YouTube content partners that own and manage many different YouTube channels. It allows content owners to authenticate once and perform actions on behalf of the channel specified in the parameter value, without having to provide authentication credentials for each separate channel. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns a [liveStream resource](https://developers.google.com/youtube/data/live/reference/rest/v3/liveStreams.md.txt#resource) in the response body.

## Errors

The following table identifies error messages that the API could return in response to a call to
this method. For more details, see [error message](https://developers.google.com/youtube/data/live/reference/rest/v3/errors.md.txt).

| Error type | Error detail | Description |
|---|---|---|
| `forbidden (403)` | `liveStreamDeletionNotAllowed` | The specified live stream cannot be deleted because it is bound to a broadcast that has still not completed. |
| `insufficientPermissions` | `insufficientLivePermissions` | The request is not authorized to delete the specified live stream. For more information, see [Implementing OAuth2 authentication](https://developers.google.com/youtube/data/live/authentication.md.txt). |
| `insufficientPermissions` | `liveStreamingNotEnabled` | The user that authorized the request is not enabled to stream live video on YouTube. For more information, see [Feature eligibility](https://www.youtube.com/features). |
| `notFound (404)` | `liveStreamNotFound` | The specified live stream doesn't exist. |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.